//
//  UNCMusicDetailsViewController.h
//  MusicList
//
//  Created by Calvin Stephens IV on 4/3/12.
//  Copyright (c) 2012 Unicode Concepts. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Music.h"

@protocol UNCMusicDetailsViewControllerDelegate;

@interface UNCMusicDetailsViewController : UIViewController <UIActionSheetDelegate>
{
    UITextField *albumTextField;
    UITextField *artistTextField;
    UIToolbar *toolBar;
    
    Music *music;
    
    id <UNCMusicDetailsViewControllerDelegate> delegate;
}

@property (nonatomic, strong) IBOutlet UITextField *albumTextField;
@property (nonatomic, strong) IBOutlet UITextField *artistTextField;

@property (nonatomic, strong) IBOutlet UIToolbar *toolBar;

@property (nonatomic, strong) Music *music;

@property (nonatomic, strong) id <UNCMusicDetailsViewControllerDelegate> delegate;

@end

@protocol UNCMusicDetailsViewControllerDelegate <NSObject>

- (void)musicDetailsViewController:(UNCMusicDetailsViewController *)controller
                    didUpdateMusic:(Music *)music;

- (void)musicDetailsViewController:(UNCMusicDetailsViewController *)controller 
               didAskToDeleteMusic:(Music *)music;

@end
