//
//  UNCMusicNewViewController.m
//  MusicList
//
//  Created by Calvin Stephens IV on 4/3/12.
//  Copyright (c) 2012 Unicode Concepts. All rights reserved.
//

#import "UNCMusicNewViewController.h"
#import "Music.h"

@interface UNCMusicNewViewController ()

@end

@implementation UNCMusicNewViewController

@synthesize albumTextField;
@synthesize artistTextField;
@synthesize music;
@synthesize delegate;

- (id)init
{
    if (self = [super initWithNibName:@"UNCMusicNewViewController" bundle:nil]) {
        
    }
    
    return self;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    return [self init];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.title = NSLocalizedString(@"Add Album", @"Add Album");
    
    self.navigationController.navigationBar.tintColor = [UIColor grayColor];
    
    // Do any additional setup after loading the view from its nib.
    
    UIBarButtonItem *cancelButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemCancel
                                                                                  target:self
                                                                                  action:@selector(cancelAdd)];
    
    self.navigationItem.leftBarButtonItem = cancelButton;
    
    UIBarButtonItem *saveButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemSave
                                                                                target:self
                                                                                action:@selector(saveItem)];
    
    self.navigationItem.rightBarButtonItem = saveButton;
    
}

- (void)cancelAdd
{
    NSLog(@"cancel add");
    
    if ([self.delegate respondsToSelector:@selector(musicNewViewController:didCancelMusic:)]) {
        [self.delegate musicNewViewController:self didCancelMusic:self.music];
    }
}

- (void)saveItem
{
    NSLog(@"save item");
    
    self.music.album = self.albumTextField.text;
    self.music.artist = self.artistTextField.text;
    
        // keep this?
        // self.music.timeStamp = [NSDate date];
    
    if ([self.delegate respondsToSelector:@selector(musicNewViewController:didSaveMusic:)]) {
        [self.delegate musicNewViewController:self didSaveMusic:self.music];
    }
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
